import java.io.*;
import javax.swing.*;

class refISO17584mixtest
{
public static void main(String arg[])
{   //refISO17584_mix g; 
  refISO17584_mix g;
  String isim;
    //while(true)
	{
    //isim=JOptioanPane.showInputDialog("soğutucu akışkan ismi :  ");
    g=new refISO17584_mix("R404A");
   //System.out.println(g.rd.toString());
	//double t =Double.parseDouble(JOptionPane.showInputDialog(" t (derece C) : ")); 
    //double P =Double.parseDouble(JOptionPane.showInputDialog(" P (kPa  ) : ")); 
    double t=10.0;
    double P=10.0;
    double v=g.v_tp(t,P);
    String s=g.r.refrigerantName+"\n";
    s+="v = "+v+" m^3/kg \n";
	s+="P = "+g.P(t,v)+" kPa\n";
	s+="M   = "+g.r.M+"\n";
	s+="u = "+g.u(t,v)+"\n";
	s+="h = "+g.h(t,v)+"\n";
	s+="s = "+g.s(t,v)+"\n";
	s+="ro = "+1.0/v+"\n";
    JOptionPane.showMessageDialog(null,s,"deneme", JOptionPane.PLAIN_MESSAGE);
    }
}
}